<?php header('Content-type: text/html; charset=utf-8'); ?>
<?php
  /* STEP 1: LOAD RECORDS - Copy this PHP code block near the TOP of your page */
  
  // load viewer library
  $libraryPath = 'cmsbuilder/lib/viewer_functions.php';
  $dirsToCheck = array('/var/www/host/blablabla/httpdocs/blabla/','','../','../../','../../../');
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }
  
    // load record from 'yourpage1'
  list($yourpage1Records, $yourpage1MetaData) = getRecords(array(
    'tableName'   => 'yourpage1',
    //'where'       => '', // load first record
	'where'       => whereRecordNumberInUrl(0),
    'loadUploads' => true,
    'allowSearch' => false,
    'limit'       => '1',
  ));
  $yourpage1Record = @$yourpage1Records[0]; // get first record
  if (!$yourpage1Record) { dieWith404("Record not found!"); } // show error message if no record found
?>
<?php /*?>// You'll find it easier to manage all your navigation categories using the php require_once as seen below. So create your includes directory and place your php file navRecords.php within the includes directory, then place every instance of your navigation records within this file. Or just use the files I created for you and modify as needed.<?php */?>
<?php require_once("includes/navRecords.php"); ?>

<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>SuperMenu</title>

<link rel="stylesheet" type="text/css" href="css/supermenu.css" media="screen" />

<!-- scripts -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript" src="js/hoverIntent.js"></script>
		<script type="text/javascript" src="js/supermenu.js"></script>
		<script type="text/javascript">
		// http://users.tpg.com.au/j_birch/plugins/superfish/#download
		// initialise plugins
		jQuery(function(){
			jQuery('ul.sf-menu').superfish();
		});

</script>

</head>

<body>

<div id="navigation">
    
    <ul class="sf-menu" style="min-width:980px;"><!-- supermenu -->   

        <?php foreach ($yourpage1NavRecords as $categoryRecord): ?> 
	<li><?php if ($categoryRecord['depth'] == 0): ?> 
    <?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
    <a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
		<a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php else: ?>
		<a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <?php endif ?>
 	<?php $parent=$categoryRecord['num'];?>
 		<ul>
		<?php foreach ($yourpage1NavRecords as $categoryRecord): ?> 
		<?php if ($categoryRecord['parentNum'] == $parent): ?> 
        	<?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
    		<li><a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
			<li><a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php else: ?>
			<li><a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<?php endif ?>
		<?php endif ?> 
		<?php endforeach; ?>
		</ul> 
	<?php endif ?><?php break; ?>
    </li>
	<?php endforeach; ?>
    
    
    <li><a href="drills_and_drillbits.php" title="Drills &amp; Drill Bits">Drills &amp; Drill Bits</a>
    	<ul>
			<li><a href="drills.php" title="Drills" class="nav-common">Drills</a></li>
			<li><a href="drill_bits.php" title="Drill Bits" class="nav-common">Drill Bits</a></li>
    	</ul>
    </li>
    
    
       <?php foreach ($yourpage2NavRecords as $categoryRecord): ?> 
	<li><?php if ($categoryRecord['depth'] == 0): ?> 
    <?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
    <a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
		<a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php else: ?>
		<a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <?php endif ?>
 	<?php $parent=$categoryRecord['num'];?>
 		<ul>
		<?php foreach ($yourpage2NavRecords as $categoryRecord): ?> 
		<?php if ($categoryRecord['parentNum'] == $parent): ?> 
        	<?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
    		<li><a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
			<li><a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php else: ?>
			<li><a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<?php endif ?>
		<?php endif ?> 
		<?php endforeach; ?>
		</ul> 
	<?php endif ?><?php break; ?>
    </li>
	<?php endforeach; ?>
    
    
       <?php foreach ($yourpage3NavRecords as $categoryRecord): ?> 
	<li><?php if ($categoryRecord['depth'] == 0): ?> 
    <?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
    <a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    <!-- redirect -->
		<a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <!-- /redirect -->
    <?php else: ?>
		<a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a>
    <?php endif ?>
 	<?php $parent=$categoryRecord['num'];?>
 		<ul>
		<?php foreach ($yourpage3NavRecords as $categoryRecord): ?> 
		<?php if ($categoryRecord['parentNum'] == $parent): ?> 
        	<?php if ($categoryRecord['redirect'] && $categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
    		<li><a href="<?php echo ($categoryRecord['redirect']) ?>" rel="nofollow" target="_blank" title="<?php echo $categoryRecord['name'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php elseif ($categoryRecord['redirect'] && !$categoryRecord['open_redirect_in_new_window'] =='1'): ?>
    		<!-- redirect -->
			<li><a href="<?php echo $categoryRecord['redirect'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<!-- /redirect -->
    		<?php else: ?>
			<li><a href="<?php echo $categoryRecord['_link'] ?>"><?php echo $categoryRecord['name'] ?></a></li>
    		<?php endif ?>
		<?php endif ?> 
		<?php endforeach; ?>
		</ul> 
	<?php endif ?><?php break; ?>
    </li>
	<?php endforeach; ?>
    
    
	<li><a href="contact.php" title="Contact">Contact</a></li>
       
	<!-- /supermenu --></ul>
    
    
    <div class="sf-menu-clear"></div>
  	<!-- /navigation --></div>
    
    <div style="clear:both"></div><br />
    
    <h1>This has worked well for me and has some fairly neat functions built into it. I think I've got everything packaged up in the zip file that you'll need to get this function.</h1>
<h2 style="font-weight:200;">In your category record create a <strong>text</strong> field type called "<strong>redirect</strong>".<br>
In your category record create a <strong>check box</strong> field type called "<strong>open_redirect_in_new_window</strong>".</h2>

<p>These two fields provide a solution to <strong>redirect</strong> your category page to a different site page within your website. You can also click the check box to <strong>launch the redirect into a new window</strong> for websites that may not be part of the website you're building, such as a link to LinkedIn, Tumblr, Twitter and that colossal waste of time - the dinosaur called Facebook, looking forward to it's extinction.</p>

</body>
</html>